kr.co.hanwha.hifive.util

## Class HFInfoUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFInfoUtil

-     public class HFInfoUtil
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 10..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `checkTime` 간편 비밀번호 확인 (1분 이상 지났을때만. 2018.4.12)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HFInfoUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkAuthTime(android.content.Context context)`
    `static void` | `clearNotificationData(android.content.Context context)`
    `static void` | `deleteRecentKeyword(android.content.Context context, java.lang.String keyword)`
    `static MainTab` | `getDefaultScreen(android.content.Context context)` Default Screen
    `static java.lang.String` | `getDepartmentCode(android.content.Context context)`
    `static java.lang.String` | `getDepartmentText(android.content.Context context)`
    `static java.lang.String` | `getDepartmentValue(android.content.Context context)` 소속 선택(2018.5.11) - Default 생명
    `static java.lang.String` | `getDeviceUUID(android.content.Context context)` UUID
    `static java.lang.String` | `getLastMemberLoginId(android.content.Context context)` 마지막 로그인 아이디 저장
    `static int` | `getLastNoticeNo(android.content.Context context)` CHECK NOTICE
    `static java.util.ArrayList<java.lang.String>` | `getListRecentKeyword(android.content.Context context)` 최근 검색어
    `static java.lang.String` | `getMemberLoginId(android.content.Context context)` 간편 로그인 아이디
    `static boolean` | `getNeedRefreshAlarmList(android.content.Context context)` Refresh
    `static boolean` | `getNeedRefreshMainDashboardList(android.content.Context context)`
    `static boolean` | `getNeedRefreshMainHomeListAssigned(android.content.Context context)`
    `static boolean` | `getNeedRefreshMainHomeListRequest(android.content.Context context)`
    `static boolean` | `getNeedRefreshMainProjectList(android.content.Context context)`
    `static NoticeData` | `getNoticeData(android.content.Context context)` NOTICE INFO
    `static NotificationData` | `getNotificationData(android.content.Context context)` Notification
    `static void` | `setDefaultScreen(android.content.Context context, MainTab tab)`
    `static void` | `setDepartmentValue(android.content.Context context, java.lang.String value)`
    `static void` | `setDeviceUUID(android.content.Context context, java.lang.String uuid)`
    `static void` | `setLastCheckAuthTime(android.content.Context context)`
    `static void` | `setLastMemberLoginId(android.content.Context context, java.lang.String loginId)`
    `static void` | `setMemberLoginId(android.content.Context context, java.lang.String loginId)`
    `static void` | `setNeedRefreshAlarmList(android.content.Context context)`
    `static void` | `setNeedRefreshMainDashboardList(android.content.Context context)`
    `static void` | `setNeedRefreshMainHomeListAssigned(android.content.Context context)`
    `static void` | `setNeedRefreshMainHomeListRequest(android.content.Context context)`
    `static void` | `setNeedRefreshMainProjectList(android.content.Context context)`
    `static void` | `setNoticeData(android.content.Context context, NoticeData data)`
    `static void` | `setNoticeNo(android.content.Context context, int notice_no)`
    `static void` | `setNotificationData(android.content.Context context, NotificationData data)`
    `static void` | `setRecentKeyword(android.content.Context context, java.lang.String keyword)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### checkTime

          private static final long checkTime

      간편 비밀번호 확인 (1분 이상 지났을때만. 2018.4.12)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HFInfoUtil

          public HFInfoUtil()

  - ### Method Detail

    - #### getDepartmentValue

          public static java.lang.String getDepartmentValue(@NonNull
                                                            android.content.Context context)

      소속 선택(2018.5.11) - Default 생명

    - #### setDepartmentValue

          public static void setDepartmentValue(@NonNull
                                                android.content.Context context,
                                                @NonNull
                                                java.lang.String value)

    - #### getDepartmentText

          public static java.lang.String getDepartmentText(@NonNull
                                                           android.content.Context context)

    - #### getDepartmentCode

          public static java.lang.String getDepartmentCode(@NonNull
                                                           android.content.Context context)

    - #### checkAuthTime

          public static boolean checkAuthTime(@NonNull
                                              android.content.Context context)

    - #### setLastCheckAuthTime

          public static void setLastCheckAuthTime(@NonNull
                                                  android.content.Context context)

    - #### getDefaultScreen

          public static MainTab getDefaultScreen(@NonNull
                                                 android.content.Context context)

      Default Screen

    - #### setDefaultScreen

          public static void setDefaultScreen(@NonNull
                                              android.content.Context context,
                                              @NonNull
                                              MainTab tab)

    - #### getNotificationData

          public static NotificationData getNotificationData(@NonNull
                                                             android.content.Context context)

      Notification

    - #### clearNotificationData

          public static void clearNotificationData(@NonNull
                                                   android.content.Context context)

    - #### setNotificationData

          public static void setNotificationData(@NonNull
                                                 android.content.Context context,
                                                 @NonNull
                                                 NotificationData data)

    - #### getNeedRefreshAlarmList

          public static boolean getNeedRefreshAlarmList(@NonNull
                                                        android.content.Context context)

      Refresh

    - #### setNeedRefreshAlarmList

          public static void setNeedRefreshAlarmList(@NonNull
                                                     android.content.Context context)

    - #### getNeedRefreshMainHomeListAssigned

          public static boolean getNeedRefreshMainHomeListAssigned(@NonNull
                                                                   android.content.Context context)

    - #### setNeedRefreshMainHomeListAssigned

          public static void setNeedRefreshMainHomeListAssigned(@NonNull
                                                                android.content.Context context)

    - #### getNeedRefreshMainHomeListRequest

          public static boolean getNeedRefreshMainHomeListRequest(@NonNull
                                                                  android.content.Context context)

    - #### setNeedRefreshMainHomeListRequest

          public static void setNeedRefreshMainHomeListRequest(@NonNull
                                                               android.content.Context context)

    - #### getNeedRefreshMainProjectList

          public static boolean getNeedRefreshMainProjectList(@NonNull
                                                              android.content.Context context)

    - #### setNeedRefreshMainProjectList

          public static void setNeedRefreshMainProjectList(@NonNull
                                                           android.content.Context context)

    - #### getNeedRefreshMainDashboardList

          public static boolean getNeedRefreshMainDashboardList(@NonNull
                                                                android.content.Context context)

    - #### setNeedRefreshMainDashboardList

          public static void setNeedRefreshMainDashboardList(@NonNull
                                                             android.content.Context context)

    - #### getDeviceUUID

          public static java.lang.String getDeviceUUID(@NonNull
                                                       android.content.Context context)

      UUID

    - #### setDeviceUUID

          public static void setDeviceUUID(@NonNull
                                           android.content.Context context,
                                           @NonNull
                                           java.lang.String uuid)

    - #### getMemberLoginId

          public static java.lang.String getMemberLoginId(@NonNull
                                                          android.content.Context context)

      간편 로그인 아이디

    - #### setMemberLoginId

          public static void setMemberLoginId(@NonNull
                                              android.content.Context context,
                                              @NonNull
                                              java.lang.String loginId)

    - #### getLastMemberLoginId

          public static java.lang.String getLastMemberLoginId(@NonNull
                                                              android.content.Context context)

      마지막 로그인 아이디 저장

    - #### setLastMemberLoginId

          public static void setLastMemberLoginId(@NonNull
                                                  android.content.Context context,
                                                  @NonNull
                                                  java.lang.String loginId)

    - #### getLastNoticeNo

          public static int getLastNoticeNo(@NonNull
                                            android.content.Context context)

      CHECK NOTICE

    - #### setNoticeNo

          public static void setNoticeNo(@NonNull
                                         android.content.Context context,
                                         @NonNull
                                         int notice_no)

    - #### getNoticeData

          public static NoticeData getNoticeData(@NonNull
                                                 android.content.Context context)

      NOTICE INFO

    - #### setNoticeData

          public static void setNoticeData(@NonNull
                                           android.content.Context context,
                                           @NonNull
                                           NoticeData data)

    - #### getListRecentKeyword

          public static java.util.ArrayList<java.lang.String> getListRecentKeyword(@NonNull
                                                                                   android.content.Context context)

      최근 검색어

    - #### setRecentKeyword

          public static void setRecentKeyword(@NonNull
                                              android.content.Context context,
                                              @NonNull
                                              java.lang.String keyword)

    - #### deleteRecentKeyword

          public static void deleteRecentKeyword(@NonNull
                                                 android.content.Context context,
                                                 @NonNull
                                                 java.lang.String keyword)